Subject: Re: bug#56013: 28.1; "gio open" and "xdg-open" fail silently under eshell

From: Jeff Kowalski <[email-masked]>
Date: Wed, 23 Nov 2022 19:09:35 -0800

I'm sorry, thanks for checking.  I didn't realize you meant v29.
I'm using GNU Emacs 28.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version
3.24.33, cairo version 1.16.0) of 2022-05-30
Is there something more I can help you with?

On Wed, Nov 23, 2022 at 2:59 PM Jim Porter <[email-masked]> wrote:

> On 11/22/2022 1:00 PM, Jeff Kowalski wrote:
> > Thanks for the response and suggestion.
> >  From eshell,
> >       λ xdg-open file.txt
> > exits immediately, without opening file.txt, and
> >       λ cat | xdg-open file.txt | cat
> > shows the same behavior, but
> >       λ setsid -w xdg-open file.txt
> > opens the file as expected.
>
> Is this with Emacs 28 or 29? In 29, `cat | xdg-open file.txt | cat`
> should work as expected (I hope).
>
> If it doesn't, then the solution I had in mind (make `xdg-open` use a
> pipe for its IO) probably wouldn't work, leaving us back at square one
> for this bug...
>
>